// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "VNEvent.hpp"

namespace Dawn {
  class VNChoiceSetEvent : public VNEvent {
    public:
      std::string key;
      std::string value;

    protected:
      void onStart() override {
        this->manager->setFlag(this->key, this->value);
        this->next();
      }
  };
}